/***********************************************************
Copyright 1990 by Digital Equipment Corporation, Maynard, Massachusetts.

                        All Rights Reserved

Permission to use, copy, modify, and distribute these examples for any
purpose and without fee is hereby granted, provided that the above
copyright notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting documentation,
and that the name of Digital not be used in advertising or publicity
pertaining to distribution of the software without specific, written
prior permission.

DIGITAL AND THE AUTHORS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
FITNESS, IN NO EVENT SHALL DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT
OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
OR PERFORMANCE OF THIS SOFTWARE.

******************************************************************/

/* Make it safe to include this file more than once. */
#ifndef GRAPHP_H
#define GRAPHP_H

/* Include the public header file for Graph */
#include "Graph.h"

/* Graph is derived from Composite, so no need to include the
   superclass private header file. */

/* Define the Graph instance part */
typedef struct {
    int		num_entries;	/* Number of entries to graph */
    String	*labels;	/* Labels for values */
    int		*values;	/* Graph values */
    int		max_value;	/* Maximum graph value */
    int		scale;		/* Scale factor for values */
} GraphPart;

/* Define the full instance record */
typedef struct _GraphRec {
    CorePart		core;
    CompositePart 	composite;
    GraphPart		graph;
} GraphRec;

/* Define class part structure */
typedef struct {
    XtPointer		extension;
} GraphClassPart;

/* Define the full class record */
typedef struct _GraphClassRec {
    CoreClassPart	core_class;
    CompositeClassPart	composite_class;
    GraphClassPart	graph_class;
} GraphClassRec, *GraphWidgetClass;

/* External definition for class record */
extern GraphClassRec graphClassRec;

/* End of preprocessor directives */
#endif /* GRAPHP_H */
